{% set dirs = salt['grains.filter_by']({
  'Debian': {
    'etc': '/etc',
    'bin': '/usr/bin',
    'home': '/home',
    'include': '/usr/include',
    'lib': '/usr/lib',
    'man': '/usr/share/man',
    'sbin': '/usr/sbin',
  },
  'RedHat': {
    'etc': '/etc',
    'bin': '/usr/bin',
    'home': '/home',
    'include': '/usr/include',
    'lib': '/usr/lib64',
    'man': '/usr/share/man',
    'sbin': '/usr/sbin',
  },
  'FreeBSD' : {
    'etc': '/usr/local/etc',
    'bin': '/usr/local/bin',
    'home': '/home',
    'include': '/usr/local/include',
    'lib': '/usr/local/lib',
    'man': '/usr/local/man',
    'sbin': '/usr/local/sbin',
  }
}, default='Debian') %}

{% set packages_prefixes = salt['grains.filter_by']({
  'Debian': {
    'php': 'php7.1-',
    'python2': '',
    'python3': 'python3-',
  },
  'RedHat': {
    'python2': 'python2-',
    'python3': 'python3-',
  },
  'FreeBSD' : {
    'php': 'php71-',
    'python2': 'py27-',
    'python3': 'py36-',
    'rubygem': 'rubygem-',
  },
}, default='Debian') %}

{% set packages = salt['grains.filter_by']({
  'Debian' : {
    'ag': 'silversearcher-ag',
    'aspell-fr': 'aspell-fr',
    'aspell-en': 'aspell-en',
    'certbot': 'certbot',
    'composer': 'composer',
    'cppunit': 'libcppunit-dev',
    'emacs': 'emacs-nox',
    'imagemagick': 'imagemagick',
    'librabbitmq': 'librabbitmq-dev',
    'mariadb': 'mariadb-server',
    'node': 'nodejs',
    'nss-tools': 'libnss3-tools',
    'pear': 'php-pear',
    'phpcs': 'php-codesniffer',
    'phpunit': 'phpunit',
    'sphinx': 'python3-sphinx',
    'tcltls': 'tcl-tls',
    'tdom': 'tdom',
    'varnish': 'varnish',
    'verbiste': 'verbiste',
    'youtube-dl': 'youtube-dl',
  },
  'RedHat': {
    'ag': 'the_silver_searcher',
    'aspell-fr': 'aspell-fr',
    'certbot': 'python2-certbot',
    'cppunit': 'cppunit-devel',
    'emacs': 'emacs-nox',
    'exiftool': 'perl-Image-ExifTool',
    'librabbitmq': 'librabbitmq',
    'mariadb': 'mariadb-server',
    'node': 'nodejs',
    'pear': 'php-pear',
    'phpcs': 'php-pear-PHP-CodeSniffer',
    'sphinx': 'python3-sphinx',
    'tcltls': 'tcltls',
    'varnish': 'varnish',
    'youtube-dl': 'youtube-dl',
  },
  'Arch': {
    'ag': 'the_silver_searcher',
    'aspell-fr': 'aspell-fr',
    'certbot': 'certbot',
    'cppunit': 'cppunit',
    'emacs': 'emacs-nox',
    'mariadb': 'mariadb',
    'nss-tools': 'nss',
    'sphinx': 'python-sphinx',
    'tcltls': 'tcltls',
    'varnish': 'varnish',
    'youtube-dl': 'youtube-dl',
  },
  'FreeBSD' : {
    'ag': 'the_silver_searcher',
    'aspell-fr': 'fr-aspell',
    'aspell-en': 'en-aspell',
    'boost': 'boost-all',
    'certbot': 'py27-certbot',
    'composer': 'php-composer',
    'cppunit': 'cppunit',
    'emacs': 'emacs-nox11',
    'exiftool': 'p5-Image-ExifTool-devel',
    'imagemagick': 'ImageMagick',
    'librabbitmq': 'rabbitmq-c-devel',
    'mariadb': 'mariadb102-server',
    'node': 'node',
    'nss-tools': 'nss',
    'pear': 'pear',
    'phpcs': 'pear-PHP_CodeSniffer',
    'phpunit': 'phpunit6',
    'sphinx': 'py36-sphinx',
    'tcltls': 'tcltls',
    'tdom': 'tDOM',
    'varnish': 'varnish5',
    'verbiste': 'fr-verbiste',
    'youtube-dl': 'youtube_dl',
  },
}, default='Debian') %}
